Constrain PyYAML to v3.x.

PyYAML v4.1 was released which breaks the `!!python/tuple` syntax with the
following error:

yaml.constructor.ConstructorError: could not determine a constructor for the tag
'tag:yaml.org,2002:python/tuple'

Change-Id: Iaf838b111e6dfad5dc5c1f904a482b525e99a911
changes/72/578372/1
Vicky Chijwani 5 years ago
parent 2d6a0c7a53
commit 0deb58146a

@ -2,7 +2,7 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT
PyYAML>=3.10.0 # MIT
PyYAML>=3.10.0,<4 # MIT
pbr>=1.8 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
python-jenkins>=0.4.15

Loading…
Cancel
Save